package com.ruoyi.ems.domain;

import com.huashe.common.domain.BaseEntity;

/**
 * 计量设备对象 adm_meter_device
 *
 * @author ruoyi
 * @date 2024-08-08
 */
public class MeterDevice extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 服务区代码
     */
    private String areaCode;

    /**
     * 设备代码
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备位置
     */
    private String deviceLocation;

    /**
     * 计量类别
     */
    private Long meterCls;

    /**
     * 计量对象标记
     */
    private Integer objTag;

    /**
     * 采集周期
     */
    private Long colCycle;

    /**
     * 采集方式
     */
    private Long colMode;

    /**
     * 倍率
     */
    private Integer magnification;

    /**
     * 规格描述
     */
    private String specDesc;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceLocation() {
        return deviceLocation;
    }

    public void setDeviceLocation(String deviceLocation) {
        this.deviceLocation = deviceLocation;
    }

    public Long getMeterCls() {
        return meterCls;
    }

    public void setMeterCls(Long meterCls) {
        this.meterCls = meterCls;
    }

    public Integer getObjTag() {
        return objTag;
    }

    public void setObjTag(Integer objTag) {
        this.objTag = objTag;
    }

    public Long getColCycle() {
        return colCycle;
    }

    public void setColCycle(Long colCycle) {
        this.colCycle = colCycle;
    }

    public Long getColMode() {
        return colMode;
    }

    public void setColMode(Long colMode) {
        this.colMode = colMode;
    }

    public Integer getMagnification() {
        return magnification;
    }

    public void setMagnification(Integer magnification) {
        this.magnification = magnification;
    }

    public String getSpecDesc() {
        return specDesc;
    }

    public void setSpecDesc(String specDesc) {
        this.specDesc = specDesc;
    }

    @Override
    public String toString() {
        return "MeterDevice{" + "id=" + id + ", areaCode='" + areaCode + '\'' + ", deviceCode='" + deviceCode + '\''
            + ", deviceName='" + deviceName + '\'' + ", deviceLocation='" + deviceLocation + '\'' + ", meterCls="
            + meterCls + ", objTag=" + objTag + ", colCycle=" + colCycle + ", colMode=" + colMode + ", magnification="
            + magnification + ", specDesc='" + specDesc + '\'' + '}';
    }
}
